---
schema_version: "1"
id: 678f0f902aeb8f679b2fa5e33bc2f0bc513d26e066aa734da749e67e69d28938
title: Submit a Record for Approval
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-process-approvals-submit.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-process-approvals-submit.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: ea06710984b3ef4943eb616ad02178fd3e8f2e943b05d98558c42b9d50a6ba6c
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Submit a Record for Approval

Use the Process Approvals resource to submit a record or a collection of records for approval. Each call takes an array of requests.

## Example usage

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/process/approvals/ -H "Authorization: Bearer token" -H "Content-Type: application/json" -d @submit.json"
```

## Example request body submit.json file

In the following example, the record "001D000000I8mIm" is submitted for approval process "PTO_Request_Process" by skipping its entry criteria on behalf of submitter "005D00000015rZy."

```nolang
{
"requests" : [{
"actionType": "Submit",
"contextId": "001D000000I8mIm",
"nextApproverIds": ["005D00000015rY9"],
"comments":"this is a test",
"contextActorId": "005D00000015rZy",
"processDefinitionNameOrId" : "PTO_Request_Process",
"skipEntryCriteria": "true"}]
}
```

## Example JSON response body

```nolang

[ { 
  "actorIds" : [ "005D00000015rY9IAI" ],
   "entityId" : "001D000000I8mImIAJ",
   "errors" : null,
   "instanceId" : "04gD0000000Cvm5IAC",
   "instanceStatus" : "Pending",
   "newWorkitemIds" : [ "04iD0000000Cw6SIAS" ],
   "success" : true } ] 
```

